---
title: CSSUnparsedValue.entries()
slug: Web/API/CSSUnparsedValue/entries
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnparsedValue
  - Constructor
  - Entries
  - Experimental
  - Houdini
  - Method
  - NeedsExample
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnparsedValue.entries()</code></strong> method returns an array of a given object's own enumerable property <code>[key, value]</code> pairs in the same order as that provided by a {{jsxref("Statements/for...in", "for...in")}} loop (the difference being that a for-in loop enumerates properties in the prototype chain as well).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">CSSUnparsedValue.entries(<var>obj</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>obj</var></code></dt>
 <dd>The {{domxref('CSSUnparsedValue')}} whose enumerable own property <code>[key, value]</code> pairs are to be returned.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array of the given <code>CSSUnparsedValue</code> object's own enumerable property <code>[key, value]</code> pairs.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssunparsedvalue','entries()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnparsedValue.entries")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref("CSSUnparsedValue.CSSUnparsedValue()")}}</li>
 <li>{{domxref("CSSUnparsedValue.forEach")}}</li>
 <li>{{domxref("CSSUnparsedValue.keys")}}</li>
 <li>{{domxref("CSSUnparsedValue.length")}}</li>
 <li>{{domxref("CSSUnparsedValue.values")}}</li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
 <li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
